Here are the changes new in release 3.2 on March 6, 2006 (from 3.1):

* Fixed frequent NVFS device (Tungsten-X & LifeDrive) crashes (lock handles)
* Fixed many crashes after NG Polls (no longer performs GoTo-1st-Unread)
* Prevent frequent crashes when accessing "NG Prefs" (uninitialized global)
* Now handles non-US (8-bit) ASCII characters without crashing
* Fixed crash if "Newsgroups" header does not contain NG (e.g. TeraNews)
* Fixed crash possible when performing any long-duration operation
* Prevent "Send" button crash after re-editing message from "Outgoing"
* Fixed possible (rare) crash/corruption when saving from "NG Prefs"
* Added "Check for Update" feature (menu and automatic "Poll Pref" option)
* New function to detect/repair "impossible" shared Unique IDs in NewsArts.pdb
* Fixed threading bug causing articles without References to mis-position
* Prevent subject alterations (adding "Re:") when re-editing saved messages
* Force message reload after editing then saving to same place (Outgoing/Drafts)
* Don't Goto-1st-Unread when "back"ing out of "Global Found" article
* Fixed too many article list screen cursor re/positioning bugs to list
* Fixed too many screen update/redraw bugs to list
* Threading & caching disabled in NG Prefs if user ever aborts thread operation
* Don't bother doing a "Reset NG" if "Next Art" is already '0'
* Don't update "Next Art" ("NG Prefs") when polling single article or body
* Reduced Pref dialogs' intra-control vert spacing by 1 pixel (more controls)
* Bolded "Respond to Global Find" to highlight it's importance/difference
* Removed no-longer-necessary "Fix Logging Crashes" menu item
* Removed useless (unimplemented) VFS logging UI features in Logging Prefs
* Removed "Usenet" from GF header text from (will soon be supporting RSS, too)
* Changed "Poll Prefs"/ButtonActions labels from "Trim MIME" to "Handle MIME"
* Added many new Flag Modify ButtonActions to NG List and Article List screens
* Added "Flag Update Dialog" menu item and ButtonAction (related to previous)
* Added many new flag update menu itesm to Article List screen
* Added new "Del"ete menu (and many menu items) to Article List screen
* Fixed some error cases relating to Thread DBs (causing bad values)
* Fixed non-working "Global Find" ButtonActions
* Fixed non-working (some HW) "Un/Mark", "Un/Lock", & "Un/Read" ButtonActions
* ButtonAction prefs which are "Reset" (factory/saved) are now saved properly
* Purging old articles generates "minor" logs, not "bad refs" "error" logs
* Purge old arts completely rewritten to improve user-cancelability and speed
* Recreate thread DBs only once per NG for (some article purge/update functions)
* "Purge all articles" reports proper value for total deleted in logs
* Added "Purge old articles" ButtonActions to Article List screen
* Some HW in some cases were constructing garbled outgoing date headers
* Fixed Japanese 3.1 ROMs always garbling outgoing date headers
* Fixed crash in MultiTrim which also caused wrong articles to be "marked"
* Fixed "Prev Subject" crash when at top-most article
* Fixed occasional crash when editing outgoing headers containing "Followup-To:"
* Prevent leak errors reported (probably incorrectly) by emulator debug ROMs
* Plugged memory leak when appStopEvent + low memory -> article save failure
* Plugged several memory leaks when creating and re-editing outgoing messages
* Plugged a memory leak in a RESERVED LongOp
* Can now add "F'Up2" header from button when re-editing article (header)
* Fixed mistake not recognizing header already exists when editing headers
* Tapped URLs now strip out white-space and followup quote characters
* When saving outoing messages, filter out invalid Subject/To/NG characters
* Fixed crash validating outgoing message headers during save
* Followups from "!!!Lost" NG no longer default "Newsgroup" header to "!!!Lost"
* Reduced subscription dialogs (enter NG Name inside "NG Prefs")
* Vastly impmroved email address validation code
* Used improved email address validation when saving Outgoing Messages
* Used improved email address validation when saving "Server Prefs"
* Used improved email address validation when saving "Headers"
* "Reply-To" header (from "Server Prefs") inserted at edit (not transmit) stage
* Header input dialog now does "Select All" of the field text on rocker Up/Down
* Single-field input dialogs now "Select All" of the field on rocker Up/Down
* Prevent "Poll" button in "Poll Prefs" from saving (temp) settings to Prefs DB
* Global Find will try to locate "launched" articles in the "!!!Lost" NG, too
* Show NG Name instead of author on article list screen when in "!!!Lost" NG
* If logging ToMemo fails, ToMemo logging prefs disabled (in memory, not DB)

Here are the changes new in release 3.1 on September 9, 2005 (from 3.0):

* Added new "PgDown+Next Unread" & "PgUp+Prev Unread" Article ButtonActions
* Fixed Left/Right/Center FiveWay ButtonAction support for Treo 650 devices
* Ensure the "NG Prefs" field to receive the input focus is usable/visible
* NG Polls always poll (override the fact that host server's "Poll" pref is off)
* Fixed several Global Find quirks/crashes (especially when app not running)
* Upgraded to latest palmresize (1.2.2 -> 1.2.5) w/ many DIA/resize bug fixes
* If "Lines" header is missing, count actual lines of the body & kill if exceeds
* Auto-select server to edit when user attempts to post w/ unmodified dummy data
* Changed leftmost buttons from "OK" to "Back" (split width w/ next buton over)
* Added a "real" default News server (news.readfreenews.net)
* Added "real" default NGs (comp.sys.palmtops.pilot & soc.religion.christian)
* Do not prompt about overdue MID purging if MID DB is empty
* Fixed MID (History) DB search/compare bug (sort might crash)
* Disallow use of gmane news server when subscribing to non-gmane NGs
* Added "over the air" character to all network activating actions/buttons/menus
* Added Form Letter feature ("Fix-Your-Sig", "Fix-Your-Style", etc.)
* Added "Visit Homepage" button to "About" screen
* JogDial/FiveWay controls now access 3 Poll progress dialog's buttons (Yanoff+)
* Filtered fields no longer beep for cursor movement (FiveWay) character inputs
* Added filtering of "name" field of "NG Prefs" to disallow invalid characters
* Correctly re-highlights text on re-enter (even last char in message)
* All (i.e. Treo/T5) devices scroll even if text field doesn't have focus
* Moved "Follow-Up Intro" string configurations to 2nd screen of "Misc Prefs"
* Expanded "Re/F'Up"" ("Reply/Followup") labels on 2nd screen of "Misc Prefs"
* Partial ButtonAction hard button labels based on HW model (e.g. Treo) 
* "!!!!Lost" and "!!!Sent" NGs are once again unsubscribable
* Defaulted "Scroll Cue" feature to OFF (0) instead of ON.
* Ensured "News" is NEVER allowed/available as the "Type" of first server
* Changed the name of the bogus default mail server to "Dummy Mail Server"
* "Select" hard button relabeled "Center" (for clarity) on ButtonAction Prefs
* Updated many of Yanoff- ButtonAction Prefs' default actions
* Last soft ButtonAction always settable when it should be on Prefs screen
* Removed headings and widened most fields for single string input dialogs
* Added our "official" slogan/tagline to the "About" screen
* Change several instances of "Yanoff" text to "New Yanoff" (e.g. Global Find)
* Fix incorrect "Server Prefs" error label for "Address" (was "Newsserver")
* New "Com" menu on article screen
* New "Go on-/off-line" menu item under "Com" menu on article screen
* New "Reply" menu item under "Com" menu on article screen
* New "Forward" menu item under "Com" menu on article screen
* New "Followup" menu item under "Com" menu on article screen
* New "New article" menu item under "Com" menu on article screen
* New "New eMail" menu item under "Com" menu on article screen
* New "eMail the author" menu item under "Com" menu on article screen
* New "Test SMTP server" menu items under "Com" menu on article screen
* Preview of "Browser Launch" feature infrastructure (4.0 feature) including:
*    Single Tap of email address in message text initiates email composition
*    Single Tap of URL in message text launches brower dialog
*    New ButtonActions (up to 6 flavors) for all screens
*    New menu items (up to 3 flavors) under all screens' "Com" menu
* Rocker up/down updates selected list item for Server Selection & URL Prefix
* Complete logical default FiveWay support on most dialogs (left/right/select)
* As a result of above, changed several shortcut letters
* Some help text typos cleanup (especially "Misc Prefs")
* Restored left/right movement function to some broken input dialogs
* Removed "keyboard" ButtonAction (no screens are editable so its useless!)
* Fixed title bar vestiges on Article View with DIA closed when long->short
* Fixed "liar" outgoing "Content-Transfer-Encoding:" MIME headers!
* Encode trailing spaces when Content-Transfer-Encoding is "Quoted-Ptrintable"
* Fixed ButtonAction menu items where "...EtScrn" should have been "...ExScrn"
* Added "Info" menu with "List Subscribed NGs" option to "Server Prefs" screens
* Fixed "Purge killfile" crash
* Validate/repair "Followup-To:" headers in outgoing articles
* Enforce rule: "Followup-To:" header must be subset of "To:" (except "POSTER")
* Fixed crash when "too long since last MID Purge" dialog not on NG list screen
* User is pushed into ButtonAction prefs on first visit to 3 main screens
* Do not prompt user to purge MIDs if "Save MIDs" Poll Pref is unchecked
* Modified (again) confusing "mail server not ready to use" error text
* Made "Go on-/off-line" and "Network Prefs" work from within Yanoff-
* Fixed incorrect hard button (FiveWay) override when menu bar is first opened
* Fixed over-drawing of open menu list with message body text during redraw
* Removed erroneous "crashed" dialog when returning from "Network Prefs"
* Removed JogDial/FiveWay support from Yanoff- (expires in Yanoff+ now, too)
* Upgraded to new SDK from PocketPurchase to fix these 4 problems:
*    Pocket Purchase: nag displayed when returning from "Network Prefs"
*    Pocket Purchase: nag-if-key-present-at-first-run error
*    Pocket Purchase: FiveWay center button no worky in their dialogs
*    Pocket Purchase: crash when entering crdit card expiration month
* Fixed hollow-rectangle-instead-of-ellipses bug for Find results (OS 3.1 only)
* Default blank sig lines changed from 0 to 1


Here are the bugs that are outstanding:

* Cursor sometimes misplaced when returning to NG list screen
* Occasional post-poll crash on some devices when memory is low (< 600KB)
* If poll started inside NG with 0 articles, screen improperly refreshed
* Popup keyboard used to insert <Return> into field such as "T:" may lock field


Here are the features on our ToDo list:

* Color support
* RSS Support
* SSL Support
* Full MIME support
* Don't split mid-word when encoding Quoted-Printable
* format=flowed support (support infrastructure currently exists)
* Multi-language support
* Memory Free in upper-right corner updated during purges
* Turn off backlight during article thread/index
* Export article to address book (Name=Name/Email=Email/Note=article)
* Beam article as Memo
* VFS support (including log-to preference)
* Preference: Exported Memo destination category
* Take WordWrap setting into account when Quoting article text for F'Up/Re
* Custom-Headers-Exist indicator on NG Prefs
* XFace support
* Mail-Copies-To support
* Left-handed scrollbar support (infrastructure exists now)


Here are the changes new in release 3.0 on January 25, 2005 (from 2.1):

SUPPORT FOR ADVANCED MODELS (much provided by 'palmresize' v 1.2.5)
* [1] Complete Hi-Res screen (Font Hack, Fonts4OS5, FontSubst) support (Yanoff+)
* [1] Complete screen sizes/shapes (DIA/slider/landscape) support (Yanoff+)
* ButtonAction FiveWay/JogDial/VoiceMemo support for 3 main screens (Yanoff+)
EASE OF USE
* If inside a NG/message, Global Find only searches messages in that NG
* Article font applies to message creation screen now, too
* Enabled all soft buttons on the article list screen for all users
* For most dialogs (Prefs screens) Hard Buttons shadow Soft Buttons
* Focus and Selection set to most-frequently-modified field of each Pref screen
* Rocker up/down does move/mod for checkbox-only Pref screens
* New "Toggle font" (last 2 fonts used) ButtonAction (Yanoff+)
* New "Forward" and "Forward w/ quote" article actions (Yanoff+)
* New "Delete unmarked" ButtonAction to article list (NG) screen (Yanoff+)
* New "Exit app" ButtonAction to all screens (Yanoff+)
* New "Menu bar", "Global Find", and "Keyboard" ButtonActions (Yanoff+)
* New "Sort NGs by PDB Name" option (undo for "Alphabetize NGs") (Yanoff+)
* New "Edit" menu to ButtonPrefs screen (for editable label fields)
* New "backwards" option to "GF Prefs"
* New Misc pref to highlight chars on last line of next-to-last page (Yanoff+)
* New Misc pref to alaways go to 1st unread article when entering NG (Yanoff+)
* Hex ASCII now also reports number of characters
* New "Headers" button and screen when editing outgoing messages
* New "Reply-To" and "Followup-To" shorthand buttons to "Headers" screen
* New "Insert" menu to "Headers" screen (e.g. 'Bcc', etc.)
* New "Reset to" menu w/ "Factory default" & "Last saved" for most Pref screens
SERVER ENHANCEMENTS
* New user default server changed to news.gmane.org which does not require auth
* New users now have default subscribed NG "gmane.comp.handhelds.palm.yanoff"
* Support for infinite number of mail servers (Yanoff+)
* Same NG may now be subscribed on different servers (Yanoff+)
* New server pref "Supply Outgoing MIDs" (generate @ send OR let server do it)
* Fine-tuned server response parsing for slight speed increases
* Widened the server names in the "Server Select" dialog
* New "Server" menu w/ "Select Message's Server" for outgoing messages
* New "Server" menu w/ "New", "Duplicate" and "Delete" for "Server Prefs"
* New option to set all NGs' threading values if "Conduit" Poll Pref mods Y->N
* Accomodated Lyris server bug where NNTP "HEAD" RC 220 is sent instead of 221
* "NG Poll" from inside "Outgoing" will send all outgoing messages
MAINTENANCE AND CLEANUP
* Contracted "To:" and "Sub:" to "T:" and "S:" on message editing screen
* 100% Good Net-Keeping Seal of Approval (GNKSA) compliance (header editing)
* If scrollbar not required (removed), it's width is reclaimed for other fields
* Changed MID intro token to standard URL format ("news:MID", not "<MID>")
* Outgoing MID format is now: "<yf[+/-][date (hex)]%[username]@[hostname]>"
* Rewrote table code to reclaim yet more wasted (inter-column) pixels
* Eliminated redundant drawing (highlighted text flashes when entering article)
* Added defensive code removing new Poll Prefs options for "Conduit" users
* Do not store MID in History DB for hard-killed articles (think about it)
* Replaced "cannot post to internal" error with server selection dialog
* Always repair malformed/repeated "Re:" subjects (e.g. outgoing messages)
* If body save fails, poll aborts (rather than repeated head-only saves)
* Bad "T:" portions highlighted to indicate crossposting not allowed in Yanoff-
* Added width and 1 line to field on "Headers" screen
* Added width and 1 line to signature field on "Server Prefs"
* Screen redrawn completely when alarm or other non-Yanoff drawing occurs
* Added sanity check of 'Conduit' pref if Java Conduit usage is evident
* Added automatic user warning to ensure MID Purge is run periodically
* Auto-reformatting of messages in !!Outgoing when 'Conduit' pref changes
* "Realname" no longer mandatory in "Server Prefs" (see below)
* Rephrased confusing "you have to complete setup first" error string
* Added "minor" (log) event whenever body is truncated
* Prevent sending to obviously bad (*@*.invalid or whitespace) email addresses
* Prevent mismatched SMTP/NNTP-specific header use for outgoing messages
* Added defensive code removing Alert Log "Logging Prefs" button if already open
* Vastly improved email parsing (name/email) and outgoing message validation
* Modified Exiting of app to be Gremlins-friendly (avoid crash from card launch)
* Made Gremlins-safe for posting (only allow to misc.test and PalmYanoff.com)
* Passed Gremlins-sanity for 1,000,000+ events!
* No more occasional garbage-character-named, 0-record, 86-byte PDB files
* Incoming messages' standards violation logs downgraded from error to minor
* SMTP "Unknwown AUTH type" logs downgraded from error to minor
* Many uses of "art/s" and "article/s" changed to "msg/s" and "message/s"
* All (dozens of) unused text strings have been remvoed
* Appended "|<art's server#>" to Title-bar text of the article Head view
* Time delay removed from Global Find message "must upgrade" (Yanoff-)
BUGS
* Noted "Code Diver" causes (not unexpected) crash on v > 3.0 (built-in Hi-Res)
* Noted "LightSpeed" causes occasional "snowy screen" (depending on settings?)
* Fixed the "unpolled" option to work for "Conduit" users
* Fixed crash parsing unknown EHLO values (e.g. comcast.net) when sending email
* Fixed post-poll crash if poll started inside NG with 0 articles
* Fixed crash on article list screen whenever scoring is turned on
* Fixed occasional no-good-reason timeouts when polling specific article bodies
* Fixed bug where PgDown+Wrap did PgDown+Jump if 0 articles in NG
* Fixed bug where "Auth Pass" label sometimes blank for latest OS5 devices
* Fixed bug where "Followup-To" and "Reply-To" headers may not be posted
* Scrollbar works in signature field even when focus is on other fields
* Scrollbar works in Compose window even when focus is on "T:" or "S:" field
* Fixed Xref article encoding for log when article's-body-aborted-by-NG-"Max"
* Fixed "Buffer Overrun" error when viewing some format=flowed articles
* Fixed bug for NG names with no '.' chars longer than 30 characters
* Fixed non-functional scrollbars/PageUp/PageDown on "Headers" screen
* Fixed non-functional scrollbars/PageUp/PageDown for ".sig" settings
* Fixed a few minor typos on the help screens
* Moving the column separator on Article List screen updates col labels
* Fixed crash if Reverse/Rot13 empty string
* Fixed crash when "GoTo prev/next Subject/Thread" menu chosen in empty NG
* Fixed bug of not properly disconnecting from server after auth failure
* Cannot "delete read" or "unread" internal groups (Drafts/Outgoing/Sent)


Here are the changes new in release 2.1 on July 7, 2004 (from 2.0):

* Memory Free in upper-right corner updated during Install/Index
* Made PocketPurchase.prc TOTALLY optional
* Delete Read Arts functionality restored to Yanoff-
* Fixed crash when using "Test SMTP Server" in Yanoff-
* Fixed crash when modifying Server #0 (SMTP; see above) in Yanoff-
* Fixed bug causing non-0 "Use" value in "Poll Prefs" to be lost
* Fixed bug causing occasional wrong ButtonAction to be performed
* Fixed bug causing "Misc Prefs" checkmarks to be settable but non clearable
* Removed debugging "BUG expired..." alert
* Removed debugging "Toggle Debug" menu items from Yanoff-


Here are the changes new in release 2.0 on June 26, 2004 (from GPL Yanoff):

* Full compatibility with OS4, OS5 (Garnet)
* Go online/offline within the app (new preference)
* 3-level "Confirm Deletes" preference (none/many/all)
* Font selection (currently just for article view but later everywhere)
* Scores of memory leak plugs and memory waste shrinks
* Full Global Find support (with Enable/Body/Subject/From/Reply-To/MsgID/Refs
  preferences)
* Proper "articles deleted" code to handle repositioning of selected article
* All long-duration operations report thier current stage of operation and
  can be aborted AND RESTARTED WHERE THEY WERE
* All long-duration operations respond to (accept interrupts for) system
  events (power button, alarms, etc.)
* Include only highlighted text when quoting the original article (Re/F'Up);
  this allows the removal of the "Quote article" dialog!
* New ".sig Blanks" Misc Pref inserts space between quoted text and signature
* Quoted followups/replies put the cursor AFTER the quoted text (before the
  .sig delimiter); most top-posters are just L-A-Z-Y and this will deter 99%
  of them
* Added "Button Action Prefs" allowing users to configure 6 hardbuttons and up
  to 3 soft buttons on each screen allowing for things such as automatically
  calling "Delete Read Articles" when jumping between newsgroups
* Better connect/disconnect rules:
     If not connected: connect, poll, disconnect.
     If connected: poll (stay connected).
* Anti-Spam feature to skip article bodies if "Lines:" or "Newsgroups:"
  headers exceed user-specified limits.
* Killfile support (selected authors' articles not downloaded and headers
  discarded)
* Added "Purge Killfile" which works the same as "Purge MsgIDs" (a killfile
  entry's timestamp is updated whenever an article is killed)
* Editing of Killfile
* Editing of Scoring DB
* Logging preferences: Dailog/Memo w/wo timestamp for Error/Minor/Major/Debug;
  this allows uninterupted polling (uncheck Error:Dialog)!
* Find (and Find Again) text within article
* Much more Hi-Res friendly (no hard-coded screen assumptions); completely
  Hi-Res compatible (can't try it)
* Speeded up threading several thousand percent and flattened the performance
  curve (speed/articles-in-newsgroup) to almost completely linear (before it
  was a steep "hockey-stick" based on number of articles already threaded).
  Right now it threads at about 1.5 articles/second when using the newly
  implemented "thread cahces" (reference, subject, or both) on my Visor Prism.
  With mostly short threads, it is more like 3a/s; with mostly long threads it
  is more like 1a/s. The RAM cost is quite satisfactory; only about
  3K/100articles/cache (or, to put it another way, about 110% of the size of
  the Newsgroup-# file for each cache).
* Added new thread caching preference to NG Prefs: None, Subject, Reference,
  or both (radical speed increase for post-poll index/thread function)
* "Indexing" (threading) is radically enhanced (more accurate) and speeded up
  (even when not using caches)
* Automatic generation of thread databases (don't need to reindex after
  changing caching preference)
* Each thread DB may be manually queried to im/prove threading (partner to
  above change)
* "Recalculate next reindex" function to allow recovery of where reindex
  should begin if there's a crash/reset during indexing/threading
* Handle white space in downloaded headers (i.e. "Newsgroups": articles were
  being lost)
* Handle "lost articles" better (notify user they exists and ask what to do
  with them)
* "Bip" aural feedback for (non-evident) successful operations (e.g. author
  added to killfile)
* Fixed "Beep" preference so it is global and expanded the concept to what is
  now "Sound Prefs".
* Several "lost pixels" have been reclaimed for all list screens
* Smart newsgroup name reduction (e.g rec.games.video.arcade.marketplace ->
  rec.g.v.arcade.marketplace)
* Rot13 and "ReverseText" available on all edit menus
* Enhanced "saved state" allowing you "jump back" to:
   * Header/Body
   * Scroll position
   * Highlighted text
* Body/Header view is persistent; if you move to an article with no Body,
  you are no longer thrown into the header.  If you are viewing a header and
  move to another article, you will continue viewing headers until you push
  the "Body" button
* Many new (or newly menued) article Goto commands including:
   * Goto top
   * Goto bottom
   * Goto first Marked article
   * Goto first Locked article
   * Goto first Unread article
   * Goto Prev Subject
   * Goto Next Subject (thread) while reading (i.e. kill thread)
   * Goto Next Subject
   * Goto Prev Article
   * Goto Next Article
   * Goto Prev Unread
   * Goto Next Unread
   * Goto Prev Marked
   * Goto Next Marked
   * Goto Prev Locked
   * Goto Next Locked
* Non-progress-dialog (i.e. pre OS 3.5) support for long-duration-operations
  can be cancelled by tapping Menu silk (can't tap "cancel" button if there's
  no dialog)
* Delete Unlocked Articles (i.e. "catch up") feature added
* New "Tap Action" preference to toggle your choice of Lock/Read/Mark flags in
  article list view
* "Get:" Poll Preference fixed to properly support "Headers-first" use.  It
  now has, "New Headers", "New Bodies", "Old Bods+New Heads", and "All Bodies".
  Set "Get" to "OB+NH" and "Tap Action" to "Un/Lock".  Then scan the headers,
  tap-locking the ones for which bodies are desired.  Then "Delete Unlocked"
  and Poll again (reading bodies and unlocking articles as desired).
  The last 3 features are partners
* Along with Cut Sig (now "Trim .sig" which has been moved to Poll
  Preferences) are:
   * Trim MIME [if "plain text" stanza present, trim all other stanzas (also
     decodes '=##' tags).  Whenever this is done, it sets the "Mark" bit
     because it is possible this might actually not work properly in all
     cases; this way you can know it was "de-MIMEd" and send me a bug report]
   * Trim Lead(ing White Space: BLANK LINES ONLY)
   * Trim Trail(ing White Space)
   * "MutliTrim" All 4 (MIME/.sig/Lead/Trail) [i.e. 'at once', saving user 3
     stylus strokes]
   * Decode OR Trim MIME '=##' tags (don't those drive you CRAZY?)
* The above options plus "Trim selected text" are available as manual
   operations, too
* "MultiTrim all articles" function (uses trim settings on Poll Prefs) to
  regain wasted space on existing articles
* MANY menu options renamed, shortcutted, and moved around to more "proper"
  places.
* NG Poll Prefs removed entirely (it was 100% redundant after minor code
  changes)
* "General Poll Prefs" renamed to "Global Poll Prefs" (partner to above change)
* Export to Memo exports selected text only (plus header) if any is selected
* Put "Subject" on top in header (looks better when exported to memo)
* Low Memory Poll Auto-Abort ("Poll abort at ####KB" on Poll Prefs)
* Memory Free in upper-right corner updated during Polling (partner to above
  change)
* Enhanced header display (Reply-To: and References: added plus space-savings)
* PageUp/PageDown buttons for all list screens
* "Intro" preference split into "Re Intro" and "F'Up Intro"
* Tons of scrolling/redrawing (too frequently) bugs fixed; this radically
  increases speed/performance
* When viewing article header, the title bar shows DB vitals:
  NGDB Position.NGDB UID:ArtDB Position.ArtDB UID
* Rearrange Newsgroups (or alphabetize them back the way they were)
* Multiple mail server definitions allowed
* Optional SentBox support
* Added function to Find/Fix bogus article references in corrupted NGs
* Editing and manipulating of outgoing articles sensibly redesigned
* Now possible to delete individual articles at any time
* Added new "Next Article to Poll" preferences to NG Prefs
* Preference: Use MsgIDs (for people low on RAM: this takes a good bit of RAM)
* "Sample arts" moved from NG Prefs to Poll Prefs
* Slight redesign of "Poll What" preference (added "Old Bodies + New Headers")
* Update of Server Pref 'port' from 4 digits to 6 digits
* Word wrap can now be turned completely OFF (Quoted-Printable MIME is used
  instead)
* Fixed and automated the TimeZone to use OS data (removed server pref)
* No longer shows "Re: " in title bar of article body (shows more text for
  long subjects)
* Don't "stack" forms; rather discard them as user moves deeper/shallower
  through them (saves memory/heap; small time penalty)
* Recreate Newsgroups (i.e. start over using only NewsArts and
  NewsSubscriptions PDBs; useful for "swapping" w/ other users [e.g. bug
  reports] and for renumber NewArts[#].pdb files)
* Email the author button
* Test SMTP configuration (send an email and receive immediate reply)
* Auto-email crash report if app ever crashes (configurable)
* "Repopulate MIDs" function to add current articles' MIDs to History DB
* Delete temporary buffer file, "Newsbuffer" (32K) when done using it
* Set backup bits for very important files/DBs (killfile, arts, scorefile,
  subscriptions; everything else can be reconstructed fairly easily)
* Display Hex ASCII (of selected text); I needed this for debug but why
  remove it?
* All help texts rewritten for clarity and code changes
* Vestigial-most-significant-digit "KB free" display bug fixed
* Patch scroll_acc leaks (pending scrolls "lost" if app exit before returning
  to frame)
* If one clicks the left column in article list it used to redraw all rows,
  now just that 1 row
* "Select/ed" changed to "Mark/ed" for clarity and ambiguity resolution (and
  it saves 1 char); considering doing this again to change it to "Tag/ged".
* "Keep/t" changed to "Lock/ed" for clarity
* Fixed bug that when drag-highlight-scrolling, scrollbar does follow and is
  out-of-sync
* Added "key" icon and "From" -> "|From" in article view header
* Automatic mandatory signature delimiter ("-- ") insertion
* Update of default signature to praise Jesus!
* Update of massena default server to falch.net
* MAJOR reformatting of the source including:
   * Removal of all tabs
   * My personal preferences for brace positioning, etc.
   * #defines -> typedef enums wherever possible
   * "const" added to function parameters wherever possible
   * Several new code sections
   * More useful return codes (usually Booleans) added wherever possible
   * Better and more consistent variable and function (re)naming
   * Whenever I had to figure something out, I added comments to explain how it
     worked and why
   * Lots of hardcoded text moved to lang.c and lang.h (I mean *LOTS*)
   * Added programmability to enable/disable existing Ydebug facility
   * Added menu options to manually enable/disable Ydebugs at run-time
     (partner to above change)
   * Added optional memory tracker feature to locate memory leaks (beta only)

[1] Copyright 1979, 1980 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
    The Regents of the University of California, All Rights Reserved.
